"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getMappedImports = function (config, files) {
    if (files.length === 0) {
        return [];
    }
    var mappedImports = [];
    files.forEach(function (fileObject) {
        Object.keys(config.paths).forEach(function (path) {
            var value = config.paths[path][0].replace("/*", "");
            if (fileObject.includes(value)) {
                var filePathWithoutWildCard = fileObject.replace(value, path.replace("/*", ""));
                var filPathWithoutFileType = filePathWithoutWildCard.split(".")[0];
                mappedImports.push(filPathWithoutFileType);
            }
        });
    });
    return mappedImports;
};
exports.default = getMappedImports;
